Query Group Voicemail Greeting List
Query the greeting list for a group voicemail.
Request URL
GET {base_url}/{api_path}/vm_greeting/list?access_token={access_token}
Request parameters
| Parameter | Required | Type | Description |
|---|---|---|---|
| page | No | Integer | Define which page is displayed. |
| page_size | No | Integer | Define how many records per page. |
| extension | Yes | String | The number of the group voicemail. Note: You can query the number of the group voicemail using Query Group Voicemail List. |
Response parameters
| Parameter | Type | Description |
|---|---|---|
| errcode | Integer | Returned error code.
|
| errmsg | String | Returned message.
|
| total_number | Integer | The total number of greetings for the group voicemail. |
| greeting_list | Array <Greeting_Info> | The basic information of each greeting. |
Greeting_Info
| Parameter | Type | Description |
|---|---|---|
| id | Integer | The unique ID of the greeting. |
| module | String | The module to which the greeting belongs.
|
| number | String | The number of the group voicemail to which the greeting belongs. |
| file | String | The filename of the greeting. |
| suffix | String | The file extension of the greeting.
|
| type | String | The greeting type.
|
| real_filename | String | The full filename (including the file extension) of the greeting. |
Examples
Request example
GET /openapi/v1.0/vm_greeting/list?access_token=UIFGAl0HUpg8i78V0Z6nCx5YghKqE235&extension=6300 HTTP/1.1 Host: 192.168.5.150:8088
Response example
HTTP/1.1 200 OK
{
"errcode": 0,
"errmsg": "SUCCESS",
"total_number": 2,
"greeting_list": [
{
"id": 22,
"module": "groupvoicemail",
"number": "6300",
"file": "group_vm_night.wav",
"suffix": ".wav",
"type": "record",
"real_filename": "group_vm_night.wav"
},
{
"id": 21,
"module": "groupvoicemail",
"number": "6300",
"file": "group_vm_absent.wav",
"suffix": ".wav",
"type": "record",
"real_filename": "group_vm_absent.wav"
}
]
}